///////////////////////////////////////////////////////////////////////////////////////////
// Discovery Manual Extracts for Administrator's Plus
// v 1.0.0.4
//
///////////////////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////////////////
// Creator
//
#pragma creator AdminPlus 1.0.0.4

///////////////////////////////////////////////////////////////////////////////////////////
// Date Format
//
#pragma dateformat mm-dd-yyyy

///////////////////////////////////////////////////////////////////////////////////////////
// Time Format
//
#pragma timeformat HH:NN:SS AA

///////////////////////////////////////////////////////////////////////////////////////////
// Data Separator
//
#pragma headerseparator ","


///////////////////////////////////////////////////////////////////////////////////////////
// Custom Fields 
//
#customcomfield "Phone" "Phone" "phone"
#customcomfield "MomPhone" "Mom Phone" "phone"
#customcomfield "MomCell" "Mom Cell" "phone"
#customcomfield "MomWork" "Mom Work" "phone"
#customcomfield "DadPhone" "Dad Phone" "phone"
#customcomfield "DadCell" "Dad Cell" "phone"
#customcomfield "DadWork" "Dad Work" "phone"
#customschoolfield "GradYear" "Grad Year" "noformat"
#custombasicfield "Ethnicity" "Ethnicity" "noformat"
#customschoolfield "RegDate" "Reg.Date" "noformat"
#customschoolfield "TitleI" "Title I" "noformat"
#customschoolfield "SpecEd" "Special Ed" "noformat"
#customschoolfield "Lunch" "Lunch" "noformat"
#customschoolfield "SpecEdProg" "Spec.Ed.Program" "noformat"
#customschoolfield "GPA" "GPA" "noformat"
#customschoolfield "ELPA" "ELPA" "noformat"
#customschoolfield "EconDis" "Econ Dis" "noformat"
#customschoolfield "PreSchool" "Pre School" "noformat"
#customschoolfield "MSRP" "MSRP" "noformat"
#customschoolfield "FLE" "FLE" "noformat"
#customschoolfield "StandAccom" "Stand.Accom" "noformat"
#customschoolfield "NoStandAccom" "No.Stand.Accom" "noformat"
#customschoolfield "SuspDays" "Susp Days" "noformat"
#customschoolfield "ReadRecov" "Read Recov" "noformat"
#customschoolfield "MLPP" "MLPP" "noformat"
#customschoolfield "QRI" "QRI" "noformat"
#custombasicfield "Building" "Building" "noformat"
#customcomfield "Email" "Email" "email"

////////////////////////////////////////////////////////////////////////////////////
// Import School Configuration File
//
#include "Config.txt"


///////////////////////////////////////////////////////////////////////////////////
// Student Demographics
//
#alias "UNIQUE ID" StdKey
#alias "LAST NAME" StdLastName
#alias "FIRST NAME" StdFirstName
#alias "MIDDLE NAME" StdMidName
#alias "Mailing Address" StdMailAddress1
#alias "STREET" StdMailAddress1
#alias "CITY" StdMailCity
#alias "STATE" StdMailState
#alias "ZIP" StdMailZip
#alias "PHONE" StdPhone
#alias "Mom Phone" StdMomPhone
#alias "Mom Cell" StdMomCell
#alias "Mom Work Phone" StdMomWork
#alias "Dad Phone" StdDadPhone
#alias "Dad Cell" StdDadCell
#alias "Dad Work Phone" StdDadWork
#alias "Allergies" StdMedAlert
#alias "GENDER" StdSex
#alias "GRADE LEVEL" StdGradeLevel
#alias "Year Grad" StdGradYear
#alias "Ethnicity" StdEthnicity
#alias "BIRTH DATE" StdBirthDate
#alias "Registration Date" StdRegDate
//#alias "Entry Date" StdEnterDate
#alias "Title I" StdTitleI
#alias "Special Ed" StdSpecEd
#alias "NSLP/Lunch" StdLunch
#alias "Special Ed Program" StdSpecEdProg
#alias "GPA" StdGPA
#alias "ELPA" StdELPA
#alias "Econ Dis" StdEconDis
#alias "PreSchool" StdPreSchool
#alias "MSRP" StdMSRP
#alias "Former Limited English" StdFLE
#alias "Standard Accom" StdStandAccom
#alias "No Standard Accom" StdNoStandAccom
#alias "Suspension Days" StdSuspDays
#alias "Reading Recovery" StdReadRecov
#alias "MLPP" StdMLPP
#alias "QRI" StdQRI

#include "Students.csv"
*

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Staff
//
#alias "UNIQUE ID" StaffPhotoID
#alias "STAFF ID" StaffKey
#alias "FIRST NAME" StaffFirstName
#alias "LAST NAME" StaffLastName
#alias "MIDDLE NAME" StaffMidName
#alias "Building Number" SchlKey
#alias "STREET" StaffAddress1
#alias "CITY" StaffCity
#alias "STATE" StaffState
#alias "ZIP" StaffZip
#alias "PHONE" StaffPhone
#alias "Email" StaffEmail
#alias "POSITION" StaffPosition
#include "Staff.csv"
*


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Student Schedules
//
////
//
StudentID,APID^'APID',FormalName,StdSecRef+Section,Section,CourseName,CourseAlias,Staff_ID,StaffName,MeetingTime,Term,Room,MinGrade,MaxGrade,OptimumSize,CurrentSize,Locked,SectionXRecordNum,StdKey+StudentID
#include "Roster.csv"
*



/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Sections
//
StudentID,APID^'APID',FormalName,SecKey+Section,Section,SecName,CourseAlias,SecStaffRef,StaffName,SecPerRef,SecTermRef,SecRoomNum,MinGrade,MaxGrade,OptimumSize,CurrentSize,Locked,SectionXRecordNum
#include "Roster.csv"
*
